package kr.co.vividnext.sodalive.network

import android.content.Context
import kr.co.vividnext.sodalive.common.SharedPreferenceManager
import okhttp3.Authenticator
import okhttp3.Request
import okhttp3.Response
import okhttp3.Route

class TokenAuthenticator(
    private val context: Context
) : Authenticator {
    override fun authenticate(route: Route?, response: Response): Request? {
        if (response.code == 401) {
            SharedPreferenceManager.clear()
        }

        return null
    }
}
